# $Id: perl-DBD-Oracle.spec 120 2007-05-16 16:38:25Z matthias $

Summary: Oracle database driver for the DBI module
Name: perl-DBD-Oracle
Version: 1.19
Release: 1%{?dist}
License: Artistic or GPL
Group: Development/Languages
URL: http://search.cpan.org/dist/DBD-Oracle/
Source0: http://www.cpan.org/modules/by-module/DBD/DBD-Oracle-%{version}.tar.gz
Source1: http://jeanchristophe.duber.free.fr/dbd_oracle_instantclient_linux/Makefile-instantclient.PL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl(DBI)
BuildRequires: oracle-instantclient-devel
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Oracle database driver for the DBI module.


%prep
%setup -q -n DBD-Oracle-%{version}
# All files in the archive are executable... (still as of 1.19)
find . -type f -exec chmod -x {} \;
%{__cp} -a %{SOURCE1} .


%build
%{__perl} Makefile-instantclient.PL \
    INSTALLDIRS="vendor" \
    PREFIX=%{buildroot}%{_prefix}
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"


%install
%{__rm} -rf %{buildroot}
%{__make} pure_install INSTALLDIRS="vendor" PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -a \( -name .packlist \
    -o \( -name '*.bs' -a -empty \) \) -exec %{__rm} -f {} \;
# Fix up Oraperl.pm location, see original Makefile.PL
%{__mv} %{buildroot}%{perl_vendorarch}{/DBD,}/Oraperl.pm
%{__mv} %{buildroot}%{_mandir}/man3/{DBD::,}Oraperl.3*
# Avoid dependencies
%{__chmod} -x %{buildroot}%{_bindir}/ora_explain

# TODO: headers etc, see post_initialize() in original Makefile.PL


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README README.clients.txt README.linux.txt Todo
%attr(0755, root, root) %{_bindir}/ora_explain
%{perl_vendorarch}/auto/DBD/
%{perl_vendorarch}/DBD/
%{perl_vendorarch}/Oraperl.pm
%{_mandir}/man1/ora_explain.1*
%{_mandir}/man3/*.3*


%changelog
* Wed May 16 2007 Matthias Saou <http://freshrpms.net/> 1.19-1
- Update to 1.19.

* Mon Jun 12 2006 Matthias Saou <http://freshrpms.net/> 1.17-1
- Update to 1.17 which is supposed to support instant client natively, but it's
  still much more complicated to have the original Makefile.PL find and use it
  than simply use our own Makefile.PL instead...
- Update %%doc to reflect .txt suffix addition.
- Remove unneeded patch to the original Makefile.PL.
- Remove no longer needed chmod call for stripping to work.

* Thu May 18 2006 Matthias Saou <http://freshrpms.net/> 1.16-4
- Rebuild against fixed library on x86_64 (link against libs in lib64).

* Mon Nov 14 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.16-3
- Add dependency on perl(:MODULE_COMPAT_*).
- Ship ora_explain, ignoring dependencies.
- Own installed directories.

* Mon Apr 11 2005 Matthias Saou <http://freshrpms.net/> 1.16-2
- Remove oracle-instantclient-wrapper build dep.

* Tue Mar 15 2005 Matthias Saou <http://freshrpms.net/> 1.16-1
- Initial RPM package.
- Exclude ora_explain as it requires perl(Tk).

